Name: linuxmuster-client
Summary: Linux-Musterloesung client configuration scripts
BuildArch: noarch
Version: 0.9.18.1
Release: 1.7.2
License: GPL
Group: system
Source: %{name}-%{version}.tar.gz
Patch: %{name}.patch
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: fschuett
Distribution: openSuSE Linux
Url: http://www.lml-bw.de
Requires: pam_krb5, pam_ldap, nss_ldap, unscd, pam_mount, rsync, smbfs, pwdutils, xorg-x11, pwdutils
Provides: linuxmuster-client, linuxmuster-clientconfig
Conflicts: linuxmuster-base, ivman
Vendor: SuSE

%description
Linux-Musterloesung client configuration scripts
This package provides configuration scripts for debian-based clients
to connect them to Linux-Musterloesung.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -n linuxmuster-client

%patch -p1

%build
# nichts zu tun

%install
while read src dst ; do
    mkdir -p "$RPM_BUILD_ROOT/$dst"
    cp -avR $src "$RPM_BUILD_ROOT/$dst"
done <debian/install
chmod 755 "$RPM_BUILD_ROOT/etc/init.d/linuxmuster-client"

cd $RPM_BUILD_ROOT
find . -name .svn | xargs rm -rf

%post -f rpm/postinst.sh

%preun -f rpm/preun.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/etc/linuxmuster-client/config
/etc/linuxmuster-client/profile.exclude
/etc/init.d/linuxmuster-hostname
/etc/init.d/linuxmuster-client
/var/lib/linuxmuster-client/common/templates/etc/gdm/gdm.conf-custom
/var/lib/linuxmuster-client/common/templates/etc/profile.local
/var/lib/linuxmuster-client/hardy/templates/etc/udev/rules.d/70-persistent-net.rules
/var/lib/linuxmuster-client/hardy/templates/etc/udev/rules.d/75-persistent-net-generator.rules
/var/lib/linuxmuster-client/hardy/templates/etc/security/group.conf
/var/lib/linuxmuster-client/hardy/templates/etc/security/pam_mount.conf.xml
/var/lib/linuxmuster-client/hardy/templates/etc/network/interfaces
/var/lib/linuxmuster-client/hardy/templates/etc/dbus-1/system.d/hal.conf
/var/lib/linuxmuster-client/hardy/templates/etc/pam_ldap.conf
/var/lib/linuxmuster-client/hardy/templates/etc/ldap.conf
/var/lib/linuxmuster-client/hardy/templates/etc/nsswitch.conf
/var/lib/linuxmuster-client/hardy/templates/etc/libnss-ldap.conf
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/login
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/gdm
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/common-account
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/common-pammount
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/common-auth
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/kdm
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/common-password
/var/lib/linuxmuster-client/jaunty/templates/etc/pam.d/common-session
/var/lib/linuxmuster-client/jaunty/templates/etc/udev/rules.d/70-persistent-net.rules
/var/lib/linuxmuster-client/jaunty/templates/etc/udev/rules.d/75-persistent-net-generator.rules
/var/lib/linuxmuster-client/jaunty/templates/etc/security/group.conf
/var/lib/linuxmuster-client/jaunty/templates/etc/security/pam_mount.conf.xml
/var/lib/linuxmuster-client/jaunty/templates/etc/nsswitch.conf
/var/lib/linuxmuster-client/jaunty/templates/etc/ldap.conf
/var/lib/linuxmuster-client/opensuse_111/templates/etc/security/group.conf
/var/lib/linuxmuster-client/opensuse_111/templates/etc/security/pam_mount.conf.xml
/var/lib/linuxmuster-client/opensuse_112/templates/etc/security/group.conf
/var/lib/linuxmuster-client/opensuse_112/templates/etc/security/pam_mount.conf.xml
/var/lib/linuxmuster-client/opensuse_113/templates/etc/security/group.conf
/var/lib/linuxmuster-client/opensuse_113/templates/etc/security/pam_mount.conf.xml
/usr/share/linuxmuster-client/config
/usr/share/linuxmuster-client/copy-template.sh
/usr/share/linuxmuster-client/helperfunctions.sh
/usr/share/linuxmuster-client/mount.sh
/usr/share/linuxmuster-client/profile
/usr/share/linuxmuster-client/supported_distros
/usr/share/linuxmuster-client/umount.sh
/var/adm/fillup-templates/sysconfig.linuxmuster-client
/sbin/conf.d/SuSEconfig.linuxmuster-client

%changelog
* Sat Jun 25 2011 <fschuett@gymnasium-himmelsthuer.de>
- removed dependency gymhim-wine
- corrected TLS_REQCERT error in postinst.sh
- added host,base to SuSEconfig.linuxmuster-client
* Wed Sep 29 2010 <fschuett@gymnasium-himmelsthuer.de>
- corrected LINKDIRS .kde -> .kde4
- fixed permission change in /etc/init.d/linuxmuster-client
- fixed error in postinst script
- added script SUSEconfig.linuxmuster-client
* Fri Jul 23 2010 <fschuett@gymnasium-himmelsthuer.de>
  updated to linuxmuster-client 18.1
  changed depency from nscd to unscd
  added distro openSUSE 11.3
  removed obsolete mount.patch
* Thu May 27 2010 fschuett <fschuett@gymnasium-himmelsthuer.de>
- mount.patch added
* Wed Dec 30 2009 fschuett <fschuett@gymnasium-himmelsthuer.de>
- linuxmuster-client enthält die Verzeichnisse library, klett
- groups.conf dip,... entfernt, users,wine hinzugefügt
- mount.sh if [ - $WINEDIR ... hinzugefügt
* Mon Dec 14 2009 fschuett <fschuett@gymnasium-himmelsthuer.de>
- fillup-templates benutzt und config makro
- pam_krb5 als Requirement wegen pam-config -a --group openSUSE 11.1
- pam_krb5 aber nicht aktivieren!
- /etc/sysconfig/network/dhcp:
  DEFAULTLEASETIME verlängert
  DHCLIENT_BIN=dhclient
- /etc/sysconfig/cron:
  CLEAR_TMP_AT_BOOTUP="/tmp /var/tmp" hinzugefügt
* Sat Dec 12 2009 fschuett <fschuett@gymnasium-himmelsthuer.de>
- Variable nach preun
- Version 0.9.15.1 eingearbeitet
* Mon Oct 12 2009 fschuett <fschuett@gymnasium-himmelsthuer.de>
- erste Version
- rpm/postin, postun unabhängig von debian/postinstall gemacht
- get_distro,os_db_get korrigiert
- Rechte linuxmuster-client korrigiert, insserv hinzugefügt
- if korrigiert Z. 79
- template hinzugefügt
- patch argument true auf 0 korrigiert in os_db_get
- postun.sh Skript vereinfacht (Abhängigkeit von /usr/share/linuxmuster-client/config entfernt)
- postun.sh zu preun.sh gemacht
- profile.local korrigiert
- config/USERDIRS an KDE4 angepasst
- linuxmuster-client Startposition nach hinten verschoben (hinter ldap)
- .kde4 in profile korrigiert
- linuxmuster-client Startposition ldap entfernt, $network hinzugefügt
- debug messages, start/stop linuxmuster-client
- KDE4HOME und DOTLOCAL zu profile hinzugefügt
- nicht vorhandenen Befehl adduser durch add_user in mount.sh ersetzt
